American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
ParameterIntegrable Class Reference

Parameter that is integrable over time. More...

`#include <integrable.h>`

Inheritance diagram for ParameterIntegrable:

List of all members.

## Public Member Functions
virtual ParameterIntegrable * | clone () const =0
virtual coefficient | integral (const coefficient time1, const coefficient time2) const =0
virtual coefficient | integral_square (const coefficient time1, const coefficient time2) const =0
virtual coefficient | operator() (const coefficient t) const =0
virtual coefficient | root_integral_square (const coefficient time1, const coefficient time2) const =0

## Detailed Description

Parameter that is integrable over time.

Inspired by the ParametersInner class in Mark Joshi "Design Patterns and Derivatives Pricing", Cambridge University Press, 2004.

Author:
  Alet Roux <alet.roux@york.ac.uk>

## Member Function Documentation

virtual ParameterIntegrable* ParameterIntegrable::clone | ( |  | ) | const`[pure virtual]`

Clone constructor.

Implements Parameter.

Implemented in ParameterIntegrableConstant.

virtual coefficient ParameterIntegrable::integral | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[pure virtual]`

Integral of parameter from time1 to time2.

Implemented in ParameterIntegrableConstant.

virtual coefficient ParameterIntegrable::integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[pure virtual]`

Integral of squared parameter from time1 to time2.

Implemented in ParameterIntegrableConstant.

virtual coefficient Parameter::operator() | ( | const coefficient | t | ) | const`[pure virtual, inherited]`

Current value at time t.

Implemented in ParameterConstant, ParameterConstantZeroInitial, ParameterConstantZeroInitialFinal, and ParameterIntegrableConstant.

virtual coefficient ParameterIntegrable::root_integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[pure virtual]`

Square root of integral of squared parameter over [time1, time2].

Implemented in ParameterIntegrableConstant.

The documentation for this class was generated from the following file:

- parameter/integrable.h

All Classes Namespaces Files Functions Variables Typedefs Defines